
SET LOCAL search_path TO @extschema@;

CREATE OR REPLACE FUNCTION pstamp_query(int4, int8 = NULL)
  RETURNS pstamp_query
  LANGUAGE SQL IMMUTABLE CALLED ON NULL INPUT
  AS 'SELECT @extschema@.pstamp_query(ARRAY[$1], $2)';

CREATE OR REPLACE FUNCTION pstamp_match_commutator(pstamp_query, pstamp)
  RETURNS boolean
  LANGUAGE SQL IMMUTABLE
  AS 'SELECT $2 OPERATOR(@extschema@.<|) $1';

CREATE OR REPLACE FUNCTION pstamp_distance_commutator(pstamp_query, pstamp)
  RETURNS float8
  LANGUAGE SQL IMMUTABLE
  AS 'SELECT $2 OPERATOR(@extschema@.<-|) $1';

